运维开发网

6.2docker

运维开发网 https://www.qedev.com 2020-07-07 08:57 出处:网络 作者:运维开发网整理
本人只有centos 后续会使用各种邦本的linux系统进行安装  Docker CE 支持 64 位版本 CentOS 7,并且要求内核版本不低于 3.10。 低于3.10自行升级内核或者重新安装centos7以上版本  升级内核 ##到root用户执行升级操作. [[email protected] ~] # uname -a   ##旧版 Linux localhost.localdomai

本人只有centos 后续会使用各种邦本的linux系统进行安装 

Docker CE 支持 64 位版本 CentOS 7,并且要求内核版本不低于 3.10。 低于3.10自行升级内核或者重新安装centos7以上版本 

升级内核

##到root用户执行升级操作.

[[email protected] ~] # uname -a   ##旧版 Linux localhost.localdomain 2.6.32-279.el6.i686 

[[email protected] ~] # rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org [[email protected] ~] # rpm -ivh http://www.elrepo.org/elrepo-release-6-5.el6.elrepo.noarch.rpm [[email protected] ~] # yum --enablerepo=elrepo-kernel install kernel-lt -y   [[email protected] ~] # vim /etc/grub.conf default=1 改为 default=0  ##设置默认以3.10核心启动,默认是按照旧的核心启动 [[email protected] ~] # reboot [[email protected] ~] # uname -a  ##升级后的版本 Linux localhost.localdomain 3.10.104-1.el6.elrepo.i686

 

使用 yum 安装

令安装依赖包

[[email protected] ~]#  yum install -y yum-utils device-mapper-persistent-data lvm2 

鉴于国内网络问题,强烈建议使用国内源,官方源请在注释中查看。

执行下面的命令添加 yum 软件源:

[[email protected] ~]# yum-config-manager --add-repo https://mirrors.ustc.edu.cn/docker-ce/Linux/centos/docker-ce.repo

需要测试版本

[[email protected] ~]# yum-config-manager --enable docker-ce-test

6.2docker

安装dokcer-ce

[[email protected] ~]# yum install docker-ce

重新启动

[[email protected] ~]# systemctl enable docker

Created symlink from /etc/systemd/system/multi-user.target.wants/docker.service to /usr/lib/systemd/system/docker.service. #出现这样的显示 

[[email protected] ~]# systemctl start docker

测试 Docker 是否安装正确

6.2docker

 

 完成安装 

0

精彩评论

暂无评论...
验证码 换一张
取 消